package de.ivu.elect.business.internet.boundary;

import java.io.Serializable;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser;
import de.ivu.elect.business.internet.control.PraesentationExportObjectErzeuger;
import de.ivu.elect.business.internet.entity.PraesentationGenerierenEvent;

@Stateless
public class PraesentationGenerierenAnstossen implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient PraesentationGenerierenEvent praesentationGenerierenEvent;

  @Inject
  private transient PraesentationsexportDAO praesentationsexportDao;

  public void automatischePraesentationGenerierenHintergrungAnstossen(Ergebnis ergebnis) {
    if (ergebnis == null) {
      return;
    }
    for (var praesentationsexport : praesentationsexportDao.findByByErgebnis(ergebnis)) {
      if (Praesentationsexportausloeser.SYSTEM.equals(praesentationsexport.getPraesentationsexportausloeser())) {
        praesentationsexport.setLetzteEingangssequenznummer(
            PraesentationExportObjectErzeuger.NUMMER_FUER_ATOMATISCHEN_EXPORT); // automatischen Export zurücksetzen
        praesentationGenerierenEvent.sendChangeEvent();
      }
    }
  }
}
